Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio.client
Class HttpAsyncClients

    java.lang.Object
      org.apache.http.impl.nio.client.HttpAsyncClients

    public class HttpAsyncClients

extends Object

Factory methods for `CloseableHttpAsyncClient` and `CloseableHttpPipeliningClient` instances.

Since:
  4.0

Method Summary
`static CloseableHttpAsyncClient` | `createDefault()` Creates `CloseableHttpAsyncClient` instance with default configuration.
`static CloseableHttpAsyncClient` | `createMinimal()` Creates `CloseableHttpAsyncClient` instance that supports esential HTTP protocol aspects only.
`static CloseableHttpAsyncClient` | `createMinimal(org.apache.http.nio.reactor.ConnectingIOReactor ioReactor)` Creates `CloseableHttpAsyncClient` instance that supports esential HTTP protocol aspects only.
`static CloseableHttpAsyncClient` | `createMinimal(NHttpClientConnectionManager connManager)` Creates `CloseableHttpAsyncClient` instance that supports esential HTTP protocol aspects only.
`static CloseableHttpAsyncClient` | `createMinimal(NHttpClientConnectionManager connManager, boolean shared)` Creates `CloseableHttpAsyncClient` instance that supports esential HTTP protocol aspects only.
`static CloseableHttpPipeliningClient` | `createPipelining()` Creates `CloseableHttpPipeliningClient` instance that supports pipelined request execution.
`static CloseableHttpPipeliningClient` | `createPipelining(org.apache.http.nio.reactor.ConnectingIOReactor ioReactor)` Creates `CloseableHttpPipeliningClient` instance that supports pipelined request execution.
`static CloseableHttpPipeliningClient` | `createPipelining(NHttpClientConnectionManager connManager)` Creates `CloseableHttpPipeliningClient` instance that supports pipelined request execution.
`static CloseableHttpPipeliningClient` | `createPipelining(NHttpClientConnectionManager connManager, boolean shared)` Creates `CloseableHttpPipeliningClient` instance that supports pipelined request execution.
`static CloseableHttpAsyncClient` | `createSystem()` Creates `CloseableHttpAsyncClient` instance with default configuration based on ssytem properties.
`static HttpAsyncClientBuilder` | `custom()` Creates builder object for construction of custom `CloseableHttpAsyncClient` instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### custom

    public static HttpAsyncClientBuilder custom()

  Creates builder object for construction of custom `CloseableHttpAsyncClient` instances.

### createDefault

    public static CloseableHttpAsyncClient createDefault()

  Creates `CloseableHttpAsyncClient` instance with default configuration.

### createSystem

    public static CloseableHttpAsyncClient createSystem()

  Creates `CloseableHttpAsyncClient` instance with default configuration based on ssytem properties.

### createMinimal

    public static CloseableHttpAsyncClient createMinimal()

  Creates `CloseableHttpAsyncClient` instance that supports esential HTTP protocol aspects only. This client does not support HTTP state management, authentication and automatic redirects.

### createMinimal

    public static CloseableHttpAsyncClient createMinimal(org.apache.http.nio.reactor.ConnectingIOReactor ioReactor)

  Creates `CloseableHttpAsyncClient` instance that supports esential HTTP protocol aspects only. This client does not support HTTP state management, authentication and automatic redirects.

### createMinimal

    public static CloseableHttpAsyncClient createMinimal(NHttpClientConnectionManager connManager)

  Creates `CloseableHttpAsyncClient` instance that supports esential HTTP protocol aspects only. This client does not support HTTP state management, authentication and automatic redirects.

### createMinimal

    public static CloseableHttpAsyncClient createMinimal(NHttpClientConnectionManager connManager,
                                                         boolean shared)

  Creates `CloseableHttpAsyncClient` instance that supports esential HTTP protocol aspects only. This client does not support HTTP state management, authentication and automatic redirects.

  Please note that clients with a shared connection manager make no attempts to control its life cycle and dealocation of resources. It is a responibility of the caller to ensure that the shared connection manager is properly started and shut down when no longer needed.

  Since:
    4.1

### createPipelining

    public static CloseableHttpPipeliningClient createPipelining()

  Creates `CloseableHttpPipeliningClient` instance that supports pipelined request execution. This client does not support authentication and automatic redirects.

  Since:
    4.1

### createPipelining

    public static CloseableHttpPipeliningClient createPipelining(org.apache.http.nio.reactor.ConnectingIOReactor ioReactor)

  Creates `CloseableHttpPipeliningClient` instance that supports pipelined request execution. This client does not support authentication and automatic redirects.

  Since:
    4.1

### createPipelining

    public static CloseableHttpPipeliningClient createPipelining(NHttpClientConnectionManager connManager)

  Creates `CloseableHttpPipeliningClient` instance that supports pipelined request execution. This client does not support authentication and automatic redirects.

  Since:
    4.1

### createPipelining

    public static CloseableHttpPipeliningClient createPipelining(NHttpClientConnectionManager connManager,
                                                                 boolean shared)

  Creates `CloseableHttpPipeliningClient` instance that supports pipelined request execution. This client does not support authentication and automatic redirects.

  Please note that clients with a shared connection manager make no attempts to control its life cycle and dealocation of resources. It is a responibility of the caller to ensure that the shared connection manager is properly started and shut down when no longer needed.

  Since:
    4.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.